package com.ysnows.base.utils.exception;

import java.net.SocketTimeoutException;

import javax.net.ssl.SSLHandshakeException;

public class ExceptionUtils {

    public static String getExceptionName(Throwable e) {

        if (e instanceof SocketTimeoutException) {
            return "请求超时，请重新尝试！";
        }

        if (e instanceof SSLHandshakeException) {
            return "网络错误，请检查手机网络";
        }


        return "系统繁忙，请重新尝试！";
    }
}
